Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PATCH \
--url https://{instance}.omniapp.co/api/v1/dashboards/{dashboardId}/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"order_status": {
"values": [
"shipped",
"delivered"
]
}
}
}
'{
"identifier": "<string>",
"filters": {},
"controls": [
{
"id": "<string>",
"type": "FIELD_SELECTION",
"kind": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"field": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"filterOrder": [
"<string>"
]
}curl --request PATCH \
--url https://{instance}.omniapp.co/api/v1/dashboards/{dashboardId}/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"order_status": {
"values": [
"shipped",
"delivered"
]
}
}
}
'{
"identifier": "<string>",
"filters": {},
"controls": [
{
"id": "<string>",
"type": "FIELD_SELECTION",
"kind": "<string>",
"label": "<string>",
"description": "<string>",
"hidden": true,
"field": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"filterOrder": [
"<string>"
]
}Updates filter and/or control values on a dashboard. Allows setting or resetting values for specific filters/controls by ID.Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
clearExistingDraft: true to discard it and proceed with the update.Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The dashboard identifier
Requires an Organization API key. Membership ID to act on behalf of.
Personal Access Tokens (PATs) cannot use this parameter.
Request body for updating dashboard filters and controls. At least one of filters, controls, or filterOrder must be provided with at least one entry.
When true, discards any existing draft before applying updates
Map of filter ID to partial update
Show child attributes
Map of control ID to partial update
Show child attributes
New display order (filter and control IDs)
Updated filter and control configuration
Was this page helpful?